Release Notes for MPLAB-C Version 1.10    June 12, 1996

------------------------------------------------------------
WHAT'S NEW !!
------------------------------------------------------------

This MPLAB-C release is a new C Compiler from Microchip 
Technology, for support of our 8-bit microcontrollers.

Thank you for using MPLAB-C!!!!

------------------------------------------------------------

This document contains the following:

1. How to contact Microchip
2. Installing MPLAB-C
3. Features with version 1.10
4. Using MPLAB-C with MPLAB
5. General Notes
6. Blank Bug Report Form


------------------------------------------------------------    
How To Contact Microchip    
------------------------------------------------------------    

Microchip provides two methods of on-line support.  These are 
the Microchip BBS and the Microchip World Wide Web (WWW) site.

Use  Microchip's Bulletin Board Service (BBS) to get current 
information and help about Microchip products.  Microchip provides 
the BBS communication channel for you to use in extending your 
technical staff with microcontroller and memory experts.

To provide you with the most responsive service possible, the 
Microchip systems team monitors the BBS, posts the latest component 
data and software tool updates, provides technical help and 
embedded systems insights, and discusses how  Microchip products 
provide project solutions.  

The web site, like the BBS, is used by Microchip as a means to make 
files and information easily available to customers.  To view the 
site, the user must have access to the Internet and a web browser, 
such as Netscape or Microsoft Explorer.  Files are also available 
for FTP download from our FTP site.

Connecting to the Microchip Internet Web Site ====================

The Microchip web site is available by using your favorite Internet 
browser to attach to:

     www.microchip.com

The file transfer site is available by using an FTP service to 
connect to:

     ftp.mchip.com/biz/mchip

The web site and file transfer site provide a variety of services.  
Users may download files for the latest Development Tools, Datasheets, 
Application Notes, User's Guides, Articles and Sample Programs.

A variety of Microchip specific business information is also available, 
including listings of Microchip sales offices, distributors and factory 
representatives.  Other data available for consideration is:

     Latest Microchip Press Releases
     Technical Support Section with Frequently Asked Questions Design Tips
     Device Errata
     Job Postings
     Microchip Consultant Program Member Listing
     Links to other useful web sites related to Microchip Products

Connecting to the Microchip BBS
===============================

Connect worldwide to the Microchip BBS using either the Internet or the 
CompuServe communications network.

Internet:

You can telnet or ftp to the Microchip BBS at the address:

     mchipbbs.microchip.com.

CompuServe Communications Network:

When using the BBS via the Compuserve Network, in most cases, a local 
call is your only expense.  The Microchip BBS connection does not use 
CompuServe membership services, therefore you do not need CompuServe 
membership to join Microchip's BBS.  There is no charge for connecting 
to the Microchip BBS.

The procedure to connect will vary slightly from country to country. 
Please check with your local CompuServe agent for details if you have a 
problem.  CompuServe service allow multiple users various baud rates 
depending on the local point of access.

The following connect procedure applies in most locations.

     1. Set your modem to 8-bit, No parity, and One stop (8N1).
        This is not the normal CompuServe setting which is 7E1.

     2. Dial your local CompuServe access number.

     3. Depress the <Enter> key and a garbage string will appear because
        CompuServe is expecting a 7E1 setting.

     4. Type +, depress the <Enter> key and "Host Name:" will appear.

     5. Type MCHIPBBS, depress the <Enter> key and you will be connected
        to the Microchip BBS.

In the United States, to find CompuServe's phone number closest to you, 
set your modem to 7E1 and dial (800) 848-4480 for 300-2400 baud or 
(800) 331-7166 for 9600-14400 baud connection. After the system responds 
with "Host Name:", type NETWORK, depress the <Enter> key and follow 
CompuServe's directions.

For voice information (or calling from overseas), you may call 
(614) 723-1550 for your local CompuServe number.

Microchip regularly uses the Microchip BBS to distribute technical 
information, application notes, source code, errata sheets, bug reports, 
and interim patches for Microchip systems software products.  For each 
SIG, a moderator monitors, scans, and approves or disapproves files 
submitted to the SIG. No executable files are accepted from the user 
community in general to limit the spread of computer viruses.

Systems Information and Upgrade Hot Line ==============================

The Systems Information and Upgrade Line provides system users a listing 
of the latest versions of all of Microchip's development systems software 
products. Plus, this line provides information on how customers can 
receive any currently available upgrade kits. The Hot Line Numbers are: 

     1-800-755-2345 for U.S. and most of Canada, and 
     1-602-786-7302  for the rest of the world.


-----------------------------------------------------------
Devices supported in MPLAB-C Version 1.10
-----------------------------------------------------------

PIC12C508         PIC16C61          PIC16C74
PIC12C509         PIC16C62          PIC16C74A
PIC14000          PIC16C62A         PIC16C83
PIC16C52          PIC16C620         PIC16C84
PIC16C54          PIC16C621         PIC16C84A
PIC16C54A         PIC16C622         PIC16C923
PIC16C54B         PIC16C63          PIC16C924
PIC16C55          PIC16C64          PIC16CR62
PIC16C56          PIC16C64A         PIC16CR64
PIC16C57          PIC16C65          PIC16CR83
PIC16C58          PIC16C65A         PIC16CR84
PIC16C58A         PIC16C70          PIC17C42 
PIC16C58B         PIC16C71          PIC17C42A
PIC16CR54         PIC16C71A         PIC17C43
PIC16CR54A        PIC16C710         PIC17C44
PIC16CR54B        PIC16C711         PIC17CR42
PIC16CR56         PIC16C72          PIC17CR43
PIC16CR57B        PIC16C73          PIC16C554
PIC16CR58A        PIC16C73A         PIC16C556 
PIC16CR58B        PIC16C558

                     
                                       
-----------------------------------------------------------
Installing MPLAB-C 
-----------------------------------------------------------

MPLAB-C requires approximately 1 megabyte of disk space.

If this copy of MPLAB-C is being installed from a  
diskette.  Follow these steps:

From Microsoft Windows:
1. Invoke A:LABCWIN.EXE from Microsoft Windows Run or Microsoft 
   Windows File Manager.  The install program will prompt for the
   directory to install MPLAB-C

From DOS:
1. Invoke A:LABCDOS.EXE from the DOS prompt.  The install program 
   will prompt for the directory to install MPLAB-C.


2. Invoke MPLAB-C by invoking MPLABC.EXE from the command line or 
   from MPLAB Project menu, as described in the MPLAB-C User's
   Guide.

3. Enjoy!!!


If this copy of MPLAB-C is being installed from a  
file from the Microchip BBS.  Follow these steps:

1. Change directories to the MPLAB-C directory such as C:\MPLABC.

2. Invoke LABCWIN.EXE from Microsoft Windows Run or Microsoft 
   Windows File Manager.  Or from DOS, invoke LABCDOS.EXE.
   All necessary files will be copied to the correct places.

3. Invoke MPLAB-C by invoking MPLABC.EXE from the command line or 
   from MPLAB Project menu, as described in the MPLAB-C User's
   Guide.

4. Enjoy!!!


A PDF version of the MPLAB-C User's Guide is available from the
BBS or the WWW. Refer to the RESTRICT.TXT file for a list of 
restrictions and suggested alternatives for the MPLAB-C compiler.
 

------------------------------------------------------------
Features with version 1.10
------------------------------------------------------------

Features include:

 - Full Microchip 8-bit microcontroller support.
 - Full Integration with Microchip MPLAB IDE.
 - Command line options compatible with Microchip MPASM.
 - Fully documented C implementation, including complete
   code examples within the MPLAB-C User's Guide.

------------------------------------------------------------
Using MPLAB-C with MPLAB
------------------------------------------------------------

MPLAB-C is compatible with MPLAB 3.09.02 and later.

To setup MPLAB-C for use with MPLAB:
1. From MPLAB, select Project -> Add/Modify Compiler
2. Select Compilers 
3. Pull down the list of available compilers
4. Select MPLABC
5. Select OK

To set MPLAB-C options in MPLAB with a project open:
1. From MPLAB, select Project -> Make Setup
2. Select Hex Output format: INH8M, INHX8S, or INHX32
3. Select Generated Files: Error File, List File and/or
   Cross Reference File
4. Select Open Error File On: Errors Only, Errors and Warnings,
   or All Messages
5. Select Working Directory. (The default of MPLAB directory 
   should be in your path after installation)
6. Select Extra Compiler Options
7. Select OK

------------------------------------------------------------
General Notes
------------------------------------------------------------

If you have any problems with your MPLAB-C, please contact 
the Microchip Support Center.

If you are converting from ByteCraft Limited's MPC C compiler,
MPLAB-C's command line options are different.  Following is 
a table relating MPC and MPLAB-C command line options.


------------------------------------------------------------
MPLAB-C           MPC               Purpose		
------------------------------------------------------------
/? or /h          ?                 Help Screen	
/aINHX8M          +dINHX8M          8 bit merged Hex file	
/aINHX8S          +dINHX8S          8 bit split Hex file	
/aINHX32          +dINHX32          32 bit extended Hex file	
/aINHX16          +dINHX16          16 bit Intel Hex file	
/aASCII           +da               ASCII format Hex dump	
/aS1              +ds               Motorola S records	
/d<define>        +d<define>        Define Constant	
/e or /e+,        +e, e=<file>      Enable error file.	
/e<file>
/e-               -e                Disable error file.	
/h                ?                 Help Screen	
/i or /i+         +i                16 bit int	
/i-               -i                8 bit int		
/l or /l+,        +l, l=<file>      Enable list file	
/l<file>
/l-               -l                Disable list file	
/q or /q+         +q                Enable quiet mode	
/q-               -q                Disable quiet mode	
/x or /x+,        +x, x=<file>      Enable cross ref. file	
/x<file>
/x-               -x                Disable cross ref. file	





------------------------------------------------------------
Blank System Service Request Form
------------------------------------------------------------
Microchip
Product:       ______________________________________________

Description:   ______________________________________________

Date:          ______________________________________________

SW Version:    ______________________________________________

Reported By:   ______________________________________________

Detailed 
Description:   ______________________________________________

               ______________________________________________

               ______________________________________________

               ______________________________________________

               ______________________________________________



Microchip
Product:       ______________________________________________

Description:   ______________________________________________

Date:          ______________________________________________

SW Version:    ______________________________________________

Reported By:   ______________________________________________

Detailed 
Description:   ______________________________________________

               ______________________________________________

               ______________________________________________

               ______________________________________________

               ______________________________________________

Microchip Technology System Service Request
Fax to (602) 917-4149


